## org.apache.cassandra.io
Interface ISerializer<T>

All Known Subinterfaces:
  IColumnSerializer

All Known Implementing Classes:
  BloomFilterSerializer, ColumnFamilySerializer, ColumnSerializer, EstimatedHistogram.EstimatedHistogramSerializer, ReplayPosition.ReplayPositionSerializer, RowPosition.RowPositionSerializer, Token.TokenSerializer

    public interface ISerializer<T>

Method Summary
`T` `deserialize(java.io.DataInput dis)` Deserialize from the specified DataInput instance.
`void` `serialize(T t, java.io.DataOutput dos)` Serialize the specified type into the specified DataOutput instance.
`long` `serializedSize(T t)`

Method Detail

### serialize

    void serialize(T t,
                   java.io.DataOutput dos)
                   throws java.io.IOException

  Serialize the specified type into the specified DataOutput instance.

  Parameters:
    `t` - type that needs to be serialized
    `dos` - DataOutput into which serialization needs to happen.
  Throws:
    `java.io.IOException`

### deserialize

    T deserialize(java.io.DataInput dis)
                  throws java.io.IOException

  Deserialize from the specified DataInput instance.

  Parameters:
    `dis` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

### serializedSize

    long serializedSize(T t)

Copyright © 2013 The Apache Software Foundation